%define rbname rpm
%define version 1.2.0
%define release %mkrel 5

Summary: An interface to access RPM database for Ruby
Name: ruby-%{rbname}
Version: %{version}
Release: %{release}
Group: Development/Other
License: GPL
URL: http://www.momonga-linux.org/cvsweb/cvsweb.cgi/projects/mph/
Source0: %{name}-%{version}.tar.bz2
Patch0: ruby-rpm-1.2.0.diff.bz2
Patch1: ruby-rpm-1.2.0-expand-macros.patch.bz2
Patch2: ruby-rpm-1.2.0-db-package-version-20040923.patch.bz2
Patch3: ruby-rpm-1.2.0-package-sprintf.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.1
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: db4-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/RPM is an interface to access RPM database for Ruby

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
ruby install.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_libdir} \
    --so-dir=%{ruby_archdir} \
    --data-dir=%{_datadir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir} \
    --data-dir=%{buildroot}%{_datadir}
ruby install.rb install
chmod 0755 %{buildroot}%{ruby_archdir}/rpmmodule.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog doc
%{ruby_libdir}/rpm.rb
%{ruby_archdir}/rpmmodule.so

%changelog
* Wed Jul 13 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-5mdk
- add upstrem patch (P3) implementing sprintf method

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2.0-4mdk
- rebuild for rpm 4.4

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-3mdk
- replace P0 with upstream patch also fixing rb_time_new
- add upstream patch (P1) implementing expand method
- add upstream patch (P2) implementing inspect method

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-2mdk
- fix rb_time_new usage

* Fri Jul 02 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- Adapt for Mandrakelinux 
- Patch for a segfault when TMP or TEMP or TMPDIR exist but does not contain =

* Sun Mar 14 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.0-1m)
- for rpm 4.2.1.

* Tue Jan 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.12-2m)
- add patch to fix SEGV if TMP or TEMP or TMPDIR environment variable exists. [bug:#19]

* Sun Jan 11 2004 Kenta MURATA <muraken2@nifty.com>
- (1.1.12-1m)
- version up.

* Sat Nov 01 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.11-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-3m)
- merge from ruby-1_8-branch.

* Sun Aug 03 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-2m)
- rebuild against ruby-1.8.0.

* Sun May  4 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.10-1m)
- version up.

* Tue Mar  4 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.9-1m)
- version up.

* Sat Jan 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.8-1m)
- version up.

* Wed Dec 25 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.7-1m)
- version up.

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.6-1m)
- version up.

* Tue Dec 10 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.5-1m)
- version up.

* Fri Dec  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-2m)
- bug fix.

* Fri Dec  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version up.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.3-2m)
- bug fix.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.3-1m)
- version up.

* Thu Dec  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.2-1m)
- version up.

* Fri May 31 2002 Kenta MURATA <muraken@kondara.org>
- (1.1.1-2k)
- version up.

* Fri May 31 2002 Kenta MURATA <muraken@kondara.org>
- (1.1.0-2k)
- version up.

* Tue May  7 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-2k)
- version up.

* Fri May  3 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.0-2k)
- version up.

* Wed May  1 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.13-2k)
- version up.

* Mon Apr 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.12-2k)
- version up.

* Sun Apr 28 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.11-2k)
- version up.

* Wed Apr 24 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.10-2k)
- version up.

* Sun Apr 21 2002 Toru Hoshina <t@kondara.org>
- (0.3.9-6k)
- i586tega... copytega... 

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.9-4k)
- applyed patch basenames and dirindexes.

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.9-2k)
- version up.

* Sun Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.8-4k)
- ukekeke.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.8-2k)
- version up.
- devel merge to main.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.7-2k)
- version up.
- append package devel for neomph. fufufu.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.6-2k)
- version up.

* Fri Apr 19 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.5-4k)
- defattr

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.5-2k)
- version up.

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.4-2k)
- version up.

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.3-4k)
- apply patch to DB#each_match

* Thu Apr 18 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.3-2k)
- version up.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.2-2k)
- version up.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-6k)
- apply patch version_parse.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-4k)
- apply patch Init_hoge.

* Wed Apr 17 2002 Kenta MURATA <muraken@kondara.org>
- (0.3.1-2k)
- first release.
